/*
 * @(#)src/classes/sov/java/security/KeyStoreException.java, security, as131, 20030613 1.5.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 * Copyright 1997-2000 Sun Microsystems, Inc. All Rights Reserved.
 * ===========================================================================
 */

/*
 * @(#)KeyStoreException.java	1.7 00/02/02
 *
 */

package java.security;

/**
 * This is the generic KeyStore exception.
 *
 * @author Jan Luehe
 *
 * @version 1.7, 02/02/00
 *
 * @since 1.2
 */

public class KeyStoreException extends GeneralSecurityException {

    /**
     * Constructs a KeyStoreException with no detail message.  (A
     * detail message is a String that describes this particular
     * exception.)
     */
    public KeyStoreException() {
	super();
    }

    /**
     * Constructs a KeyStoreException with the specified detail
     * message.  (A detail message is a String that describes this
     * particular exception.)
     *
     * @param msg the detail message.
     */
   public KeyStoreException(String msg) {
       super(msg);
    }
}
